eigen.loadings {psych} | R Documentation

## Convert eigen vectors and eigen values to the more normal (for psychologists) component loadings

### Description

The default procedures for principal component returns values not immediately equivalent to the loadings from a factor analysis. eigen.loadings translates them into the more typical metric of eigen vectors multiplied by the squareroot of the eigenvalues. This lets us find pseudo factor loadings if we have used princomp or eigen.
If we use `principal` to do our principal components analysis, then we do not need this routine.

### Usage

    eigen.loadings(x)

### Arguments

`x` | the output from eigen or a list of class princomp derived from princomp

### Value

A matrix of Principal Component loadings more typical for what is expected in psychometrics. That is, they are scaled by the square root of the eigenvalues.

### Note

Useful for SAPA analyses

### Author(s)

revelle@northwestern.edu
http://personality-project.org/revelle.html

### Examples

    x <- eigen(Harman74.cor$cov)
    x$vectors[1:8,1:4]  #as they appear from eigen
    y <- princomp(covmat=Harman74.cor$cov)
    y$loadings[1:8,1:4] #as they appear from princomp
    eigen.loadings(x)[1:8,1:4] # rescaled by the eigen values

[Package psych version 1.6.9 Index]